# vim: sw=4:ts=4:et
#
# Copyright (c) 2016 Red Hat, Inc.

# This program and entire repository is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

Name:           satellite-tools-upgrade
Version:        6.2.0
Release:        2%{?dist}
Summary:        Utility to change the Satellite Tools yum repository to Satellite 6.2
Group:          System Environment/Base
License:        LGPLv2
URL:            https://github.com/RedHatSatellite
BuildArch:      noarch

%description
This package utilizes a post installation routine to disable the Satellite 6.1 Tools
repositories and enables the Satellite 6.2 Tools repositories via the use of the
subscription-manager repos command. The un-installation of this RPM has no effect.

%files

%post
# Disable the 6.1 satellite-tools repo and enable 6.2
subscription-manager repos --disable rhel-*-server-satellite-tools-6.1-rpms  >/dev/null 2>&1
subscription-manager repos --enable rhel-*-server-satellite-tools-6.2-rpms  >/dev/null 2>&1
exit 0

%changelog
* Wed Aug 10 2016 Mike McCune <mmccune@redhat.com> 6.2.0-2
- BZ 1363833 - add new satellite-tools upgrade package

